local engine = require("#monocle.engine")
local monocle = require("#monocle")
local celeste = require("#celeste")

local coroutineEntity = monocle.Entity()

function onBegin()
    disableRetry()
    disableMovement()
    player.ForceCameraUpdate = true

    wait(25)
    say("PPBD2025_GlerG_Slop_call")
    playMusic("", 0)
    wait(1.5)
    say("PPBD2025_GlerG_Slop_call_end")
end

function onEnd(room, wasSkipped)
    playMusic("", 0)
    setFlag("end_level", true)
    enableRetry()
    enableMovement()
end